#ifndef _LIBOPENCOORDINATES_
#define _LIBOPENCOORDINATES_


/* Define M_PI if it is not defined */
#ifndef M_PI
# define M_PI 3.14159265358979323846
#endif


struct point
{
  int date;
  float time;
  double lat, lon, alt, cap;
} point;


struct point_relatif
{
  double x, y, z;
} point_relatif;


double oc_distance_between(struct point a, struct point b) ;
struct point_relatif oc_convert(struct point o, struct point a) ;
double oc_cap(struct point o, struct point a) ;


#endif // _LIBOPENCOORDINATES_
